*******************************************************************************

* GENERAL INFO
	* Project: Who’s Asking? Interviewer Coethnicity Effects in African Survey Data
	* Created: by Claire Adida, Karen Ferree, Dan Posner, and Amanda Robinson
	* Updated: 21 Feb 16 by Julia Clark

* DO FILE INFO
	* Auxilary .do file for AFPR_clean.do that labels respondent languages
	* Inputs: ABR3Data.dta, ABR4Data.dta, AB3_regional_concordance.dta, AB4_regional_concordance.dta
	* Outputs: final.dta

*******************************************************************************

label define q79 -1 `"missing data"', modify
label define q79 1 `"english"', modify
label define q79 2 `"francais"', modify
label define q79 3 `"portugais"', modify
label define q79 100 `"afrikaans/ afrikaner/ boer"', modify
label define q79 101 `"ndebele"', modify
label define q79 102 `"xhosa"', modify
label define q79 103 `"pedi/spedi/ north sotho"', modify
label define q79 104 `"sesotho/sotho/ south sotho"', modify
label define q79 105 `"setswana/ tswana"', modify
label define q79 106 `"shangaan"', modify
label define q79 107 `"swazi"', modify
label define q79 108 `"venda"', modify
label define q79 109 `"zulu"', modify
label define q79 110 `"other white/ european"', modify
label define q79 111 `"coloured"', modify
label define q79 112 `"indian"', modify
label define q79 113 `"english"', modify
label define q79 120 `"fon"', modify
label define q79 121 `"adja"', modify
label define q79 122 `"bariba"', modify
label define q79 123 `"dendi"', modify
label define q79 124 `"yoruba"', modify
label define q79 125 `"ditamari"', modify
label define q79 126 `"peulh"', modify
label define q79 127 `"yoa"', modify
label define q79 128 `"haoussa"', modify
label define q79 129 `"ide"', modify
label define q79 130 `"lamba"', modify
label define q79 140 `"mokgatla"', modify
label define q79 141 `"mokwena"', modify
label define q79 142 `"mongwato"', modify
label define q79 143 `"mongwaketse"', modify
label define q79 144 `"motlokwa"', modify
label define q79 145 `"moherero"', modify
label define q79 146 `"morolong"', modify
label define q79 147 `"mosarwa"', modify
label define q79 148 `"mokalanga"', modify
label define q79 149 `"molete"', modify
label define q79 150 `"mmirwa"', modify
label define q79 151 `"motswapong"', modify
label define q79 152 `"mosobea"', modify
label define q79 153 `"motawana"', modify
label define q79 154 `"mokgalagadi"', modify
label define q79 155 `"moyei"', modify
label define q79 156 `"mohurutshe"', modify
label define q79 157 `"mombukushu"', modify
label define q79 158 `"monajwa"', modify
label define q79 159 `"mokhurutshe"', modify
label define q79 160 `"motalaote"', modify
label define q79 169 `"related to island originin"', modify
label define q79 170 `"african"', modify
label define q79 171 `"american or european"', modify
label define q79 172 `"related to age"', modify
label define q79 173 `"related to gender"', modify
label define q79 174 `"related to occupation/profession"', modify
label define q79 175 `"related to religion"', modify
label define q79 176 `"related to class"', modify
label define q79 177 `"related to race"', modify
label define q79 178 `"related to politics/partizan"', modify
label define q79 180 `"akan"', modify
label define q79 181 `"ewe"', modify
label define q79 182 `"ga/dangbe"', modify
label define q79 183 `"other northern languages"', modify
label define q79 184 `"gagomba"', modify
label define q79 185 `"dagaati"', modify
label define q79 200 `"kikuyu"', modify
label define q79 201 `"luo"', modify
label define q79 202 `"luhya"', modify
label define q79 203 `"kamba"', modify
label define q79 204 `"meru"', modify
label define q79 205 `"kisii"', modify
label define q79 206 `"kalenjin"', modify
label define q79 207 `"masaai"', modify
label define q79 208 `"mijikenda"', modify
label define q79 209 `"taita"', modify
label define q79 210 `"somali"', modify
label define q79 211 `"pokot"', modify
label define q79 212 `"turkana"', modify
label define q79 213 `"bajuni"', modify
label define q79 214 `"kuria"', modify
label define q79 215 `"teso"', modify
label define q79 216 `"rendille"', modify
label define q79 217 `"embu"', modify
label define q79 218 `"borana"', modify
label define q79 219 `"samburu"', modify
label define q79 220 `"bakoena"', modify
label define q79 221 `"basiea"', modify
label define q79 222 `"bafokeng"', modify
label define q79 223 `"bahlakoana"', modify
label define q79 224 `"batsoeneng"', modify
label define q79 225 `"batloung"', modify
label define q79 226 `"bataung"', modify
label define q79 227 `"baphuthing"', modify
label define q79 228 `"batebele"', modify
label define q79 229 `"bathepu"', modify
label define q79 230 `"batlokoa"', modify
label define q79 231 `"bakhatla"', modify
label define q79 232 `"makholokoe"', modify
label define q79 233 `"makhoakhoa"', modify
label define q79 234 `"barolong"', modify
label define q79 235 `"banareng"', modify
label define q79 236 `"mapele"', modify
label define q79 237 `"bakubung"', modify
label define q79 238 `"maswati"', modify
label define q79 239 `"mchegu"', modify
label define q79 240 `"antakarana"', modify
label define q79 241 `" antambahoaka "', modify
label define q79 242 `" antandroy "', modify
label define q79 243 `" antanosy "', modify
label define q79 244 `" antefasy "', modify
label define q79 245 `" antemoro "', modify
label define q79 246 `" antesaka "', modify
label define q79 248 `" bara "', modify
label define q79 249 `" betsileo "', modify
label define q79 250 `" betsimisaraka "', modify
label define q79 251 `" bezanozano "', modify
label define q79 252 `" mahafaly "', modify
label define q79 253 `" merina "', modify
label define q79 254 `" sakalava "', modify
label define q79 255 `" sihanaka "', modify
label define q79 256 `" tanala "', modify
label define q79 257 `" tsimihety "', modify
label define q79 258 `" vezo "', modify
label define q79 260 `"tumbuka"', modify
label define q79 261 `"nkhonde"', modify
label define q79 262 `"lambya"', modify
label define q79 263 `"chewa"', modify
label define q79 264 `"yao"', modify
label define q79 265 `"ngoni"', modify
label define q79 266 `"lomwe"', modify
label define q79 267 `"manga'nja"', modify
label define q79 268 `"sena"', modify
label define q79 269 `"sukwa"', modify
label define q79 270 `"senga"', modify
label define q79 271 `"tonga"', modify
label define q79 280 `"bambara"', modify
label define q79 281 `"peuhl/fulfuld"', modify
label define q79 282 `"senufo"', modify
label define q79 283 `"mianka"', modify
label define q79 284 `"mossi"', modify
label define q79 285 `"sonink"', modify
label define q79 286 `"malink"', modify
label define q79 287 `"khasonk"', modify
label define q79 288 `"dogon"', modify
label define q79 289 `"bobo"', modify
label define q79 290 `"bozo"', modify
label define q79 291 `"arabe"', modify
label define q79 292 `"maure"', modify
label define q79 293 `"kakolo"', modify
label define q79 294 `"samoko"', modify
label define q79 295 `"sonrha"', modify
label define q79 296 `"bella"', modify
label define q79 297 `"tamasheq"', modify
label define q79 298 `"dafing"', modify
label define q79 300 `"makua"', modify
label define q79 301 `"sena"', modify
label define q79 302 `"ndau"', modify
label define q79 303 `"nyanja"', modify
label define q79 304 `"changana"', modify
label define q79 305 `"chope"', modify
label define q79 306 `"bitonga"', modify
label define q79 307 `"makonde"', modify
label define q79 308 `"chuabo"', modify
label define q79 309 `"ajua"', modify
label define q79 320 `"oshiwambo"', modify
label define q79 321 `"herero"', modify
label define q79 322 `"caprivian"', modify
label define q79 323 `"rukwangali"', modify
label define q79 324 `"german"', modify
label define q79 325 `"afrikaaner"', modify
label define q79 326 `"english"', modify
label define q79 327 `"nama"', modify
label define q79 328 `"damara"', modify
label define q79 329 `"lozi"', modify
label define q79 330 `"subia"', modify
label define q79 331 `"white"', modify
label define q79 332 `"black"', modify
label define q79 333 `"coloured"', modify
label define q79 334 `"baster"', modify
label define q79 335 `"setswana"', modify
label define q79 336 `"angolan: portuguese"', modify
label define q79 337 `"angolan: rumbundu"', modify
label define q79 338 `"ndembele (zimbabwe)"', modify
label define q79 339 `"kavango"', modify
label define q79 340 `"hausa"', modify
label define q79 341 `"igbo"', modify
label define q79 342 `"yoruba"', modify
label define q79 344 `"efik"', modify
label define q79 345 `"ebira"', modify
label define q79 346 `"fulani"', modify
label define q79 347 `"isoko"', modify
label define q79 348 `"ibibio"', modify
label define q79 349 `"kanuri"', modify
label define q79 350 `"tiv"', modify
label define q79 351 `"nupe"', modify
label define q79 352 `"ijaw"', modify
label define q79 353 `"edo"', modify
label define q79 354 `"igala"', modify
label define q79 355 `"urhobo"', modify
label define q79 356 `"idoma"', modify
label define q79 357 `"itsekiri"', modify
label define q79 358 `"ikwere"', modify
label define q79 360 `"wolof"', modify
label define q79 361 `"pular"', modify
label define q79 362 `"serer"', modify
label define q79 363 `"mandinka"', modify
label define q79 364 `"soninke"', modify
label define q79 365 `"diola"', modify
label define q79 366 `"manjack"', modify
label define q79 367 `"bambara"', modify
label define q79 368 `"bainouk"', modify
label define q79 369 `"bassari"', modify
label define q79 380 `"mnyakyusa"', modify
label define q79 381 `"mchaga"', modify
label define q79 382 `"mhaya"', modify
label define q79 383 `"mngoni"', modify
label define q79 384 `"mkwere"', modify
label define q79 385 `"mpare"', modify
label define q79 386 `"mhehe"', modify
label define q79 387 `"mmakonde"', modify
label define q79 388 `"mnyamwezi"', modify
label define q79 389 `"msukuma"', modify
label define q79 390 `"mmasai"', modify
label define q79 391 `"mmeru"', modify
label define q79 392 `"mkurya"', modify
label define q79 393 `"mgogo"', modify
label define q79 394 `"mluguru"', modify
label define q79 395 `"mfipa"', modify
label define q79 396 `"mmanyema"', modify
label define q79 397 `"mnyiramba"', modify
label define q79 398 `"mnyaturu"', modify
label define q79 405 `"akaramojonj"', modify
label define q79 406 `"alur"', modify
label define q79 407 `"ateso"', modify
label define q79 408 `"japadhola"', modify
label define q79 409 `"jonam"', modify
label define q79 410 `"kakwa"', modify
label define q79 411 `"kumam"', modify
label define q79 412 `"kuksabin"', modify
label define q79 413 `"luo"', modify
label define q79 414 `"lugbara"', modify
label define q79 415 `"mugwere"', modify
label define q79 416 `"madi"', modify
label define q79 417 `"muganda"', modify
label define q79 418 `"mugishu"', modify
label define q79 419 `"musoga"', modify
label define q79 420 `"bemba"', modify
label define q79 422 `"tonga"', modify
label define q79 423 `"lozi"', modify
label define q79 424 `"chewa"', modify
label define q79 425 `"nsenga"', modify
label define q79 426 `"tumbuka"', modify
label define q79 427 `"kaonde"', modify
label define q79 428 `"luvale"', modify
label define q79 429 `"namwanga"', modify
label define q79 430 `"mambwe"', modify
label define q79 431 `"lenje"', modify
label define q79 432 `"lunda"', modify
label define q79 433 `"ngoni"', modify
label define q79 435 `"bisa"', modify
label define q79 436 `"ila"', modify
label define q79 437 `"nkoya"', modify
label define q79 438 `"lala"', modify
label define q79 439 `"mbunda"', modify
label define q79 500 `"munyoli"', modify
label define q79 501 `"mufumbira"', modify
label define q79 502 `"muhororo"', modify
label define q79 503 `"mukiga"', modify
label define q79 504 `"mukonzo"', modify
label define q79 505 `"munyarwanda"', modify
label define q79 506 `"munyoro"', modify
label define q79 507 `"mutagwenda"', modify
label define q79 508 `"mutooro"', modify
label define q79 509 `"mwamba"', modify
label define q79 510 `"munyankole"', modify
label define q79 511 `"samia"', modify
label define q79 517 `"mutagwenda"', modify
label define q79 550 `"awori"', modify
label define q79 551 `"tapa"', modify
label define q79 553 `"kalabari"', modify
label define q79 554 `"birom"', modify
label define q79 555 `"shuwa-arab"', modify
label define q79 556 `"jukun"', modify
label define q79 558 `"gwari"', modify
label define q79 559 `"anang"', modify
label define q79 560 `"ekoi"', modify
label define q79 561 `"ukwani"', modify
label define q79 562 `"igede"', modify
label define q79 563 `"ekpeye"', modify
label define q79 564 `"taroh"', modify
label define q79 565 `"ogoni"', modify
label define q79 566 `"sayawa"', modify
label define q79 567 `"okpella"', modify
label define q79 568 `"okirika"', modify
label define q79 570 `"bavudie"', modify
label define q79 571 `"mapokwana"', modify
label define q79 572 `"mantsosa"', modify
label define q79 573 `"baropoli"', modify
label define q79 575 `"balafe"', modify
label define q79 800 `"arab"', modify
label define q79 801 `"swahili"', modify
label define q79 802 `"indian"', modify
label define q79 803 `"digo"', modify
label define q79 804 `"giriama"', modify
label define q79 805 `"duruma"', modify
label define q79 806 `"chonyi"', modify
label define q79 807 `"mijikenda"', modify
label define q79 808 `"arab "', modify
label define q79 809 `"gunya"', modify
label define q79 810 `"teso "', modify
label define q79 811 `"wanga"', modify
label define q79 812 `"kabarasi"', modify
label define q79 813 `"bukusu"', modify
label define q79 814 `"ombuya"', modify
label define q79 815 `"nyala"', modify
label define q79 816 `"vatsotso"', modify
label define q79 817 `"tachoni"', modify
label define q79 818 `"nyore"', modify
label define q79 819 `"maragoli"', modify
label define q79 820 `"marama"', modify
label define q79 821 `"sabaot"', modify
label define q79 822 `"nandi"', modify
label define q79 823 `"kipsigis"', modify
label define q79 824 `"tugen"', modify
label define q79 825 `"keiyo"', modify
label define q79 826 `"ethiopian/kenyan"', modify
label define q79 827 `"burji"', modify
label define q79 828 `"murule"', modify
label define q79 829 `"dagodia"', modify
label define q79 830 `"gari"', modify
label define q79 831 `"mupule"', modify
label define q79 832 `"shabelle"', modify
label define q79 833 `"gabawen"', modify
label define q79 834 `"garmug"', modify
label define q79 835 `"maimai"', modify
label define q79 860 `"senga"', modify
label define q79 861 `"swahili"', modify
label define q79 862 `"nyanja"', modify
label define q79 863 `"soli"', modify
label define q79 864 `"chokwe"', modify
label define q79 865 `"nyika"', modify
label define q79 866 `"luchazi"', modify
label define q79 867 `"lamba"', modify
label define q79 868 `"kunda"', modify
label define q79 869 `"tabwa"', modify
label define q79 870 `"takaleya"', modify
label define q79 871 `"aushi"', modify
label define q79 872 `"kalunda"', modify
label define q79 873 `"kwamashi"', modify
label define q79 874 `"lambia"', modify
label define q79 875 `"chisinga"', modify
label define q79 990 `"national identity only"', modify
label define q79 995 `"other"', modify
label define q79 997 `"not asked"', modify
label define q79 998 `"refused"', modify
label define q79 999 `"don't know"', modify

*R4 tribe lables, modified (add preceding 1) for countries not in R3

label define q79 1182 `"Mossi"', modify
label define q79 1184 `"Peul"', modify
label define q79 1185 `"Gourmatche"', modify
label define q79 1186 `"Gourounsi"', modify
label define q79 1187 `"Bobo"', modify
label define q79 1188 `"Bissa"', modify
label define q79 1189 `"Dagari"', modify
label define q79 1190 `"Birifor"', modify
label define q79 1191 `"Lobi"', modify
label define q79 1192 `"Samo"', modify
label define q79 1193 `"Senoufo"', modify
label define q79 1194 `"Djerma"', modify
label define q79 1195 `"Goin"', modify
label define q79 1196 `"Turka"', modify
label define q79 1197 `"Yanan"', modify
label define q79 1198 `"Marka"', modify
label define q79 1199 `"Bwaba"', modify
label define q79 1200 `"Karaboro"', modify
label define q79 1201 `"Fuls"', modify
label define q79 1202 `"Sonra"', modify
label define q79 1203 `"Dioula"', modify
label define q79 1204 `"Bella"', modify

label define q79 1380 `"Bassa"', modify
label define q79 1381 `"Belle"', modify
label define q79 1383 `"Gbandi"', modify
label define q79 1384 `"Gio"', modify
label define q79 1385 `"Gola"', modify
label define q79 1386 `"Grebo"', modify
label define q79 1387 `"Kissi"', modify
label define q79 1388 `"Kpelle"', modify
label define q79 1389 `"Krahn"', modify
label define q79 1390 `"Kru"', modify
label define q79 1391 `"Lorma"', modify
label define q79 1392 `"Mandingo"', modify
label define q79 1393 `"Mano"', modify
label define q79 1394 `"Mende"', modify
label define q79 1395 `"Vai"', modify
label define q79 1396 `"Sarpo"', modify

label define q79 1860 `"Ndebele"', modify
label define q79 1861 `"Shona"', modify
label define q79 1862 `"Sezuru"', modify
label define q79 1863 `"Korekore"', modify
label define q79 1864 `"Karanga"', modify
label define q79 1865 `"Manyika"', modify
label define q79 1866 `"Ndau"', modify
label define q79 1867 `"Venda"', modify
label define q79 1868 `"Kalanga"', modify
label define q79 1869 `"Tonga"', modify
label define q79 1870 `"Chewa"', modify
label define q79 1871 `"Nambya"', modify
label define q79 1872 `"Nyanja"', modify
